Spotify 1.0.45.186 crashes on login on Fedora KDE

Solved!
Reply

Spotify 1.0.45.186 crashes on login on Fedora KDE

estamante
Newbie

I just installed spotify-client on my fedora kde machine and it crashed with a segfault when i perform a login using the latest spotify client (spotify-client_1.0.45.186.g3b5036d6-95_amd64).

 

[1224/000149:ERROR:main_delegate.cc(752)] Could not load cef_extensions.pak
/proc/self/exe: /lib64/libssl.so.1.0.0: no version information available (required by /proc/self/exe)
/proc/self/exe: /lib64/libcrypto.so.1.0.0: no version information available (required by /proc/self/exe)
/proc/self/exe: /lib64/libcurl.so.4: no version information available (required by /proc/self/exe)
[1224/000149:ERROR:main_delegate.cc(752)] Could not load cef_extensions.pak
[1224/000152:ERROR:PlatformKeyboardEvent.cpp(94)] Not implemented reached in static bool blink::PlatformKeyboardEvent::currentCapsLockState()
Segmentation fault (imagem do núcleo gravada)

 

 

When using the spotify-client_1.0.44.100.ga60c0ce1-89_amd64 version it works just fine.

 

If I use the 1.0.44.100 version to login and then open the 1.0.45.186 version, it opens normally.

 

I'm fine with using the previous version, but it would be a problem in the future if the following versions continues with this bug.

 

Thank you!

 

 

 

2 ACCEPTED SOLUTIONS

Accepted Solutions
Solution!

jooon
Spotify
Spotify

This has been fixed internally and will be released with 1.0.47 fairly soon in testing. I think 1.0.46 is skipped because of xmas.

View solution in original post

Solution!

jooon
Spotify
Spotify

Should be fixed now with 1.0.47 in testing.

View solution in original post

5 Replies

jooon
Spotify
Spotify

Thanks for the report.

 

I have been able to reproduce it in the testing version 1.0.45.186, but not in the stable release 1.0.44.100.

 

Will try to fix as soon as possible. At least I shouldn't move 1.0.45.186 to stable until this is fixed.

 

Solution!

jooon
Spotify
Spotify

This has been fixed internally and will be released with 1.0.47 fairly soon in testing. I think 1.0.46 is skipped because of xmas.

View solution in original post

Solution!

jooon
Spotify
Spotify

Should be fixed now with 1.0.47 in testing.

View solution in original post

bheklilr
Newbie

I'm not OP, but I can confirm that with 1.0.47.13-1 the issue is fixed on my Antergos (Arch variant) machine.  Works like a charm now when before it wouldn't get beyond the login screen.

z7zx
Newbie

I am able to reproduce this issue.  I am running Fedora 27 Beta with GNOME.  This is the info on the spotify package I have installed on my machine ("dnf info spotify-client"):

Last metadata expiration check: 0:03:37 ago on Sun 08 Oct 2017 10:13:45 PM EDT.
Installed Packages
Name         : spotify-client
Epoch        : 1
Version      : 1.0
Release      : 21.fc27
Arch         : x86_64
Size         : 209 M
Source       : spotify-client-1.0-21.fc27.src.rpm
Repo         : @System
From repo    : fedora-spotify
Summary      : Spotify music player native client
URL          : http://www.spotify.com/
License      : https://www.spotify.com/legal/end-user-agreement
Description  : Think of Spotify as your new music collection. Your library. Only
             : this time your collection is vast: millions of tracks and
             : counting. Spotify comes in all shapes and sizes, available for
             : your PC, Mac, home audio system and mobile phone. Wherever you
             : go, your music follows you. And because the music plays live,
             : there’s no need to wait for downloads and no big dent in your
             : hard drive.

 

I am able to launch spotify, but after I log in with facebook, the application crashes with this message:

$ spotify
/usr/lib64/spotify-client/spotify: /lib64/libcurl.so.4: no version information available (required by /usr/lib64/spotify-client/spotify) /usr/lib64/spotify-client/spotify: /usr/lib64/spotify-client/libcrypto.so.1.0.0: no version information available (required by /usr/lib64/spotify-client/spotify) /usr/lib64/spotify-client/spotify: /lib64/libcurl.so.4: no version information available (required by /usr/lib64/spotify-client/spotify) /usr/lib64/spotify-client/spotify: /usr/lib64/spotify-client/libcrypto.so.1.0.0: no version information available (required by /usr/lib64/spotify-client/spotify) /proc/self/exe: /lib64/libcurl.so.4: no version information available (required by /proc/self/exe) /proc/self/exe: /usr/lib64/spotify-client/libcrypto.so.1.0.0: no version information available (required by /proc/self/exe) [1008/221918.954306:ERROR:sandbox_linux.cc(344)] InitializeSandbox() called with multiple threads in process gpu-process. Segmentation fault (core dumped)

 

I also tried running "spotify --force-device-scaling-factor=1.0000001" as suggested in a different thread, but that produces the same result.  Any help in solving this would be greatly appreciated.

 

SUGGESTED POSTS